Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedPathData.BaseSVGPathSegList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGPathSegList
              org.apache.batik.dom.svg.SVGOMAnimatedPathData.BaseSVGPathSegList

All Implemented Interfaces:
  SVGPathSegConstants, org.w3c.dom.svg.SVGPathSegList

Enclosing class:
  SVGOMAnimatedPathData

    public class SVGOMAnimatedPathData.BaseSVGPathSegList

extends AbstractSVGPathSegList

`SVGPathSegList` implementation for the base path data value.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`AbstractSVGPathSegList.PathSegListBuilder, AbstractSVGPathSegList.SVGPathSegArcItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem, AbstractSVGPathSegList.SVGPathSegItem, AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem, AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem, AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem`

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`protected boolean` | `malformed` Whether the attribute is malformed.
`protected boolean` | `missing` Whether the attribute is missing.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`SVG_PATHSEG_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Fields inherited from interface org.apache.batik.dom.svg.SVGPathSegConstants
`PATHSEG_ARC_ABS_LETTER, PATHSEG_ARC_REL_LETTER, PATHSEG_CLOSEPATH_LETTER, PATHSEG_CURVETO_CUBIC_ABS_LETTER, PATHSEG_CURVETO_CUBIC_REL_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER, PATHSEG_LETTERS, PATHSEG_LINETO_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_REL_LETTER, PATHSEG_LINETO_REL_LETTER, PATHSEG_LINETO_VERTICAL_ABS_LETTER, PATHSEG_LINETO_VERTICAL_REL_LETTER, PATHSEG_MOVETO_ABS_LETTER, PATHSEG_MOVETO_REL_LETTER`

Constructor Summary
`SVGOMAnimatedPathData.BaseSVGPathSegList()`

Method Summary
`protected DOMException` | `createDOMException(short type, String key, Object[] args)` Create a DOMException.
`protected org.w3c.dom.svg.SVGException` | `createSVGException(short type, String key, Object[] args)` Create a SVGException.
`protected String` | `getValueAsString()` Returns the value of the DOM attribute containing the path data.
`protected void` | `resetAttribute()` Resets the value of the associated attribute.
`protected void` | `resetAttribute(SVGItem item)` Appends the string representation of the given `SVGItem` to the DOM attribute.
`protected void` | `revalidate()` Initializes the list, if needed.
`protected void` | `setAttributeValue(String value)` Sets the DOM attribute value containing the path data.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`appendItem, checkItemType, createPathSegItem, createSVGItem, doParse, getItem, getItemSeparator, initialize, insertItemBefore, removeItem, replaceItem`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, getItemImpl, getNumberOfItems, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSegList
`clear, getNumberOfItems`

Field Detail

### missing

    protected boolean missing

  Whether the attribute is missing.

### malformed

    protected boolean malformed

  Whether the attribute is malformed.

Constructor Detail

### SVGOMAnimatedPathData.BaseSVGPathSegList

    public SVGOMAnimatedPathData.BaseSVGPathSegList()

Method Detail

### createDOMException

    protected DOMException createDOMException(short type,
                                              String key,
                                              Object[] args)

  Create a DOMException.

  Specified by:
    `createDOMException` in class `AbstractSVGList`

### createSVGException

    protected org.w3c.dom.svg.SVGException createSVGException(short type,
                                                              String key,
                                                              Object[] args)

  Create a SVGException.

  Specified by:
    `createSVGException` in class `AbstractSVGPathSegList`
  Returns:
    SVGException

### getValueAsString

    protected String getValueAsString()

  Returns the value of the DOM attribute containing the path data.

  Specified by:
    `getValueAsString` in class `AbstractSVGList`

### setAttributeValue

    protected void setAttributeValue(String value)

  Sets the DOM attribute value containing the path data.

  Specified by:
    `setAttributeValue` in class `AbstractSVGList`
  Parameters:
    `value` - the String representation of the list, or null if the list contains no items

### resetAttribute

    protected void resetAttribute()

  Resets the value of the associated attribute.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### resetAttribute

    protected void resetAttribute(SVGItem item)

  Appends the string representation of the given `SVGItem` to the DOM attribute. This is called in response to an append to the list.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### revalidate

    protected void revalidate()

  Initializes the list, if needed.

  Overrides:
    `revalidate` in class `AbstractSVGList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.